[SCM] Lisaac compiler branch, stable, updated. lisaac-0.12-596-g866a2a2
Mildred Ki'Lya
silkensedai at online.fr
Wed Nov 11 14:25:50 UTC 2009
The following commit has been merged in the stable branch:
commit 68ebf159cae5e8286100e08ab9508d9cddc1316d
Author: Mildred Ki'Lya <silkensedai at online.fr>
Date: Wed Nov 11 14:44:50 2009 +0100
Added bootstrap test
diff --git a/.gitignore b/.gitignore
index 18e833e..6c0c6c9 100644
--- a/.gitignore
+++ b/.gitignore
@@ -12,3 +12,4 @@
/l
/l.c
/doc/
+/bootstrap/
diff --git a/tests/bootstrap.sh b/tests/bootstrap.sh
new file mode 100755
index 0000000..f14ef12
--- /dev/null
+++ b/tests/bootstrap.sh
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+log(){
+ echo "$@"
+ "$@"
+}
+
+run(){
+ echo "$@"
+ "$@"
+ if [ $? != 0 ]; then
+ echo "** Error"
+ fi
+}
+
+cd "`dirname "$0"`"
+cd ..
+
+echo "** In: `pwd`"
+
+echo "** Create bootstrap directory"
+mkdir -p bootstrap
+cp bin/lisaac.c bootstrap
+echo "#define LISAAC_DIRECTORY \"`pwd`\"" > bootstrap/path.h
+cd bootstrap
+
+echo "** Cleaning up"
+run rm -f lisaac lisaac1* lisaac2*
+
+echo "** Compile provided lisaac.c: lisaac"
+run make CFLAGS=-lm lisaac
+
+echo "** Compile Lisaac sources: lisaac1"
+run ./lisaac ../src/make.lip -compiler -optim -o lisaac1
+
+echo "** Compile Lisaac sources: lisaac2"
+run ./lisaac1 ../src/make.lip -compiler -optim -o lisaac2
+
+echo "** Test lisaac2"
+run ./lisaac2 -version
+
+exit $?
--
Lisaac compiler
More information about the Lisaac-commits
mailing list